#
# specfile for amrwb
#
# norootforbuild

%define name      amrwb
%define major     3
%define lib       libamrwb
%define libname   %{lib}%{major}

Name:           amrwb
Summary:        Adaptive Multi-Rate - Wideband (AMR-WB) Speech Codec
Summary(de):    Adaptiver Multi-Rate - Weitband (AMR-WB) Sprachcodec
Version:        7.0.0.4
Release:        1.1
License:        Commercial
Group:          System/Libraries
Url:            http://www.penguin.cz/~utx/amr
Source0:        http://ftp.penguin.cz/pub/users/utx/amr/%{name}-%{version}.tar.bz2
Source1:        http://www.3gpp.org/ftp/Specs/archive/26_series/26.204/26204-700.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  glibc-devel
BuildRequires:  gcc
BuildRequires:  unzip

%description
Adaptive Multi-Rate Wideband decoder and encoder library.
(3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm

%description -l de
Adaptiver Multi-Rate weitbandige decoding und encoding Bibliothek.
(3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm


%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of amrwb
Summary(de):    Bibliotheken zu amrwb
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
Adaptive Multi-Rate Wideband decoder and encoder library.
Shared library part (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm


%description -n %{libname} -l de
Adaptiver Multi-Rate weitbandige decoding und encoding Bibliothek.
Bibliotheken (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm


%package -n %{lib}-devel
Summary:        Adaptive Multi-Rate - Wideband (AMR-WB) Speech Codec Developer Package
Summary(de):    Adaptiver Multi-Rate - Weitband (AMR-WB) Sprachcodec Entwicklerpaket
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       glibc-devel
Obsoletes:      amrwb-devel < %version-%release
Provides:       amrwb-devel = %version-%release

%description -n %{lib}-devel
Adaptive Multi-Rate Wideband decoder and encoder library,
Developer Package. (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm

%description -n %{lib}-devel -l de
Adaptiver Multi-Rate weitbandige decoding und encoding Bibliothek,
Entwicklerpaket. (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm

%prep
%setup
cp %{SOURCE1} .

%build
%{configure}
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%{makeinstall}
rm -f %{buildroot}/%{_libdir}/*.{la,a}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO readme.txt
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{lib}-devel
%defattr (-, root, root)
%{_includedir}/amrwb
%{_libdir}/*.so

%changelog
* Sat Mar 19 2011 Manfred.Tremmel@iiv.de
- update to 7.0.0.4
* Tue Jun 29 2010 ludwig.nussel@gmx.de
- cleanup, remove .la files
* Fri Aug 21 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Fri May 23 2008 Manfred.Tremmel@iiv.de
- update to 7.0.0.3
* Sat Aug 25 2007 Manfred.Tremmel@iiv.de
- update to 7.0.0.2
* Sun Jul  1 2007 Manfred.Tremmel@iiv.de
- first spec file for packman, based on the specfile included
  in the tarball and the work of Dmitry Serpokryl
